Package uk.ac.starlink.topcat.join

# Class OverlapCoverage

java.lang.Object
uk.ac.starlink.ttools.cone.MocCoverage
uk.ac.starlink.topcat.join.OverlapCoverage

All Implemented Interfaces:
  `uk.ac.starlink.ttools.cone.Coverage`

public class OverlapCoverage extends uk.ac.starlink.ttools.cone.MocCoverage
Footprint implementation that represents the overlap of two other footprints.

Since:
  9 Jan 2012
Author:
  Mark Taylor

## Nested Class Summary

## Nested classes/interfaces inherited from interface uk.ac.starlink.ttools.cone.Coverage

`uk.ac.starlink.ttools.cone.Coverage.Amount`

## Constructor Summary

Constructors
Constructor
Description
`OverlapCoverage(uk.ac.starlink.ttools.cone.MocCoverage[] coverages)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected cds.moc.HealpixMoc`
`createMoc()`

### Methods inherited from class uk.ac.starlink.ttools.cone.MocCoverage

`discOverlaps, getAmount, getMoc, initCoverage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OverlapCoverage

public OverlapCoverage(uk.ac.starlink.ttools.cone.MocCoverage[] coverages)
Constructor. The supplied coverages must all be based on MOCs, there must be at least one of them, and none must be null.

Parameters:
  `coverages` - whose intersection defines the new coverage

## Method Details

### createMoc

protected cds.moc.HealpixMoc createMoc() throws IOException

Specified by:
  `createMoc` in class `uk.ac.starlink.ttools.cone.MocCoverage`
Throws:
  `IOException`